use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
    NAME                => 'Module::Generic',
    AUTHOR              => 'Jacques Deguest <jack@deguest.jp>',
    VERSION_FROM        => 'lib/Module/Generic.pm',
    ABSTRACT_FROM       => 'lib/Module/Generic.pm',
    PL_FILES            => {},
    PREREQ_PM           => {
        'common::sense' => 0,
        'overload'      => '1.22',
        'overloading'   => '0.02',
        'parent'        => 0,
        'strict'        => 0,
        'version'       => 0,
        'warnings'      => 0,
        'Class::Load'   => '0.25',
        'Clone'         => '0.43',
        'Config'        => 0,
        'Data::Dump'    => '1.23',
        'Data::UUID'    => '1.226',
        'Data::Dumper'  => 0,
        'DateTime'      => '1.52',
        'DateTime::Format::Strptime' => '1.77',
        'Devel::StackTrace' => 0,
        'Exporter'      => '5.73',
        'Fcntl'         => '1.13',
        'File::Basename'=> '2.85',
        'File::Copy'    => '2.34',
        'File::Glob'    => '1.32',
        'File::MMagic::XS' => '0.09008',
        'File::Spec'    => '3.78',
        'IO::Dir'       => '1.41',
        'IO::File'      => '1.41',
        'IO::Scalar'    => '2.113',
        'IPC::SysV'     => '2.09',
        'JSON'          => '4.03',
        'List::Util'    => '1.56',
        'Module::Metadata' => '1.000037',
        'Number::Format' => '1.75',
        'Nice::Try'     => 'v1.1.2',
        'POSIX'         => '1.53_01',
        'Regexp::Common'=> '2017060201',
        'Scalar::Util'  => '1.50',
        'Storable'      => '3.15',
        'Sub::Util'     => '1.54',
        'Tie::Hash'     => '1.05',
        'URI::file'     => '5.09',
        'Want'          => '0.29',
    },
    TEST_REQUIRES =>
    {
        'Cwd'           => '3.78',
        'Encode'        => '3.08',
        'File::Spec'    => '3.78',
        'File::Which'   => '1.23',
        'IO::File'      => '1.41',
        'Test::More'    => '1.302162',
        'Test::Pod'     => '1.52',
        'utf8'          => 0,
    },
    LICENSE             => 'perl_5',
    MIN_PERL_VERSION    => 'v5.26.1',
    dist                => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
    clean               => { FILES => 'Module-Generic-*' },
    ( eval { ExtUtils::MakeMaker->VERSION(6.46) } ? ( META_MERGE => {
        'meta-spec' => { version => 2 },
        dynamic_config => 1,
        resources => {
        #    homepage    => undef,
            repository  => {
                url         => 'git@git.deguest.jp:jack/Module-Generic.git',
                web         => 'https://git.deguest.jp/jack/Module-Generic',
                type        => 'git',
            },
            bugtracker => {
                web         => 'https://git.deguest.jp/jack/Module-Generic/issues',
            },
        },
    }) : ()),
);
